#ifndef MRAWCRATEARRAY_H
#define MRAWCRATEARRAY_H
///////////////////////////////////////////////////////////////////////
//                                                                   //
// MRunHeader                                                        //
//                                                                   //
///////////////////////////////////////////////////////////////////////

#ifndef MPARCONTAINER_H
#include "MParContainer.h"
#endif

class TClonesArray;
class MRawCrateData;

class MRawCrateArray : public MParContainer
{
private:
    TClonesArray *fArray;

public:
    MRawCrateArray(const char *name=NULL, const char *title=NULL);
    ~MRawCrateArray();

    void Clear(Option_t *opt=NULL);

    MRawCrateData *GetEntry(Int_t i);

    MRawCrateData* &operator[](Int_t i);

    TClonesArray **GetArray();

    ClassDef(MRawCrateArray, 1)	// Mapping container for the MRawCrateData TClonesArray
};

#endif
